Class Index | File Index

## Classes

- _global_
- Boolean
- Date
- eclipse.sites
- eclipse.sites.SiteRenderer
- eclipse.sites.SiteTreeModel
- exports.GitCommitExplorer-GitCommitExplorer
- exports.GitRepositoryExplorer-GitRepositoryExplorer
- Object
- orion.breadcrumbs.BreadCrumbs
- orion.commands.Command
- orion.commands.CommandService
- orion.commonHTMLFragments
- orion.compare.DiffProvider
- orion.compare.rulers.CompareOverviewRuler
- orion.compare.rulers.CompareRuler
- orion.compare.rulers.LineNumberCompareRuler
- orion.compareUtils
- orion.console.Console
- orion.console.ConsoleInput
- orion.contentAssist.CssContentAssistProvider
- orion.contentAssist.HTMLContentAssistProvider
- orion.dialogs.DialogService
- orion.edit.Dispatcher
- orion.editor.ContentAssist
- orion.editor.Editor
- orion.editor.JavaScriptContentAssistProvider
- orion.editor.regex
- orion.editor.StyleReadyEvent
- orion.editor.StyleReadyEvent#LineStyle
- orion.editor.TextMateStyler
- orion.editor.util
- orion.explorer-table.FileExplorer
- orion.explorer.Explorer
- orion.explorer.ExplorerFlatModel
- orion.explorer.ExplorerModel
- orion.explorer.SelectionRenderer
- orion.ExplorerNavHandler.ExplorerNavHandler
- orion.extensionCommands
- orion.favorites.FavoritesService
- orion.file.ContentType
- orion.file.ContentTypeService
- orion.fileClient.FileClient
- orion.fileCommands
- orion.git.GitClonesExplorer
- orion.git.GitClonesModel
- orion.git.GitCommitNavigator
- orion.git.GitService
- orion.git.widgets.OpenCommitDialog
- orion.globalCommands
- orion.highlight.SyntaxHighlighter
- orion.links.TextLinkService
- orion.log.LogService
- orion.mirror.CodeMirrorStyler
- orion.mirror.Mirror
- orion.mirror.MirrorLineStyle
- orion.mirror.ModeApplier
- orion.navoutliner.NavigationOutliner
- orion.outliner.Outliner
- orion.outliner.OutlineService
- orion.parameterCollectors.CommandParameterCollector
- orion.pluginregistry.Plugin
- orion.pluginregistry.PluginRegistry
- orion.preferences.Preferences
- orion.preferences.PreferencesService
- orion.problems.ProblemService
- orion.profile.usersClient.UsersClient
- orion.progress.ProgressService
- orion.searchClient.Searcher
- orion.searchResults.SearchResultsGenerator
- orion.searchUtils
- orion.selection.Selection
- orion.serviceregistry.EventTarget
- orion.serviceregistry.Service
- orion.serviceregistry.ServiceReference
- orion.serviceregistry.ServiceRegistration
- orion.serviceregistry.ServiceRegistry
- orion.siteService.SiteConfiguration
- orion.siteService.SiteService
- orion.status.StatusReportingService
- orion.textview.Annotation
- orion.textview.AnnotationIterator
- orion.textview.AnnotationModel
- orion.textview.AnnotationRuler
- orion.textview.AnnotationStyler
- orion.textview.AnnotationTypeList
- orion.textview.BlurEvent
- orion.textview.ContextMenuEvent
- orion.textview.DestroyEvent
- orion.textview.EventTarget
- orion.textview.FocusEvent
- orion.textview.FoldingAnnotation
- orion.textview.KeyBinding
- orion.textview.LineNumberRuler
- orion.textview.LineStyleEvent
- orion.textview.LoadEvent
- orion.textview.ModelChangedEvent
- orion.textview.ModelChangingEvent
- orion.textview.ModifyEvent
- orion.textview.OverviewRuler
- orion.textview.Projection
- orion.textview.ProjectionTextModel
- orion.textview.Ruler
- orion.textview.ScrollEvent
- orion.textview.Selection
- orion.textview.SelectionEvent
- orion.textview.Style
- orion.textview.StyleRange
- orion.textview.TextModel
- orion.textview.TextView
- orion.textview.TextViewOptions
- orion.textview.UndoStack
- orion.textview.UnloadEvent
- orion.textview.VerifyEvent
- orion.TreeModelIterator.TreeModelIterator
- orion.treetable.TableTree
- orion.util
- orion.widgets.DirectoryTreeModel
- orion.widgets.OpenResourceDialog
- orion.widgets.SiteEditor
- String

# Class orion.highlight.SyntaxHighlighter

Defined in: </shared/eclipse/e4/orion/I201202282230/plugins/org.eclipse.orion.client.core/web/orion/highlight.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| orion.highlight.SyntaxHighlighter(serviceRegistry) Requires service orion.file.ContentTypeService

Method Summary
Method Attributes | Method Name and Description
--- | ---
| getStyler()
| setup(contentType, textView, annotationModel, fileName)

Class Detail
orion.highlight.SyntaxHighlighter(serviceRegistry)

Requires service orion.file.ContentTypeService

Parameters:
{orion.serviceregistry.ServiceRegistry} serviceRegistry
  Registry to look up highlight providers from.

Method Detail
getStyler()

{dojo.Deferred} setup(contentType, textView, annotationModel, fileName)

Parameters:
{orion.file.ContentType} contentType
{orion.textview.TextView} textView
{orion.textview.AnnotationModel} annotationModel
{String} fileName Optional
  Deprecated. For backwards compatibility only, service-contributed highlighters will be checked against the file extension instead of contentType.

Returns:
  {dojo.Deferred} A promise that is resolved when this highlighter has been set up.

Documentation generated by JsDoc Toolkit 2.4.0 on Tue Feb 28 2012 22:34:47 GMT-0500 (EST)